GDCM 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions
gdcm::DataSetEvent Class Reference

DataSetEvent Special type of event triggered during the DataSet store/move process. More...

`#include <gdcmDataSetEvent.h>`

Inheritance diagram for gdcm::DataSetEvent:
[legend]
Collaboration diagram for gdcm::DataSetEvent:
[legend]

List of all members.

## Public Types

typedef DataSetEvent | Self
typedef AnyEvent | Superclass

## Public Member Functions

| DataSetEvent (DataSet const *ds=NULL)
| DataSetEvent (const Self &s)
virtual | ~DataSetEvent ()
virtual bool | CheckEvent (const ::gdcm::Event *e) const
DataSet const & | GetDataSet () const
virtual const char * | GetEventName () const
virtual ::gdcm::Event * | MakeObject () const

## Detailed Description

DataSetEvent Special type of event triggered during the DataSet store/move process.

See also:

## Member Typedef Documentation

typedef DataSetEvent gdcm::DataSetEvent::Self

typedef AnyEvent gdcm::DataSetEvent::Superclass

## Constructor & Destructor Documentation

gdcm::DataSetEvent::DataSetEvent | ( | DataSet const * | ds = `NULL` | ) | `[inline]`

virtual gdcm::DataSetEvent::~DataSetEvent | ( |  | ) | `[inline, virtual]`

gdcm::DataSetEvent::DataSetEvent | ( | const Self & | s | ) | `[inline]`

## Member Function Documentation

virtual bool gdcm::DataSetEvent::CheckEvent | ( | const ::gdcm::Event * | e | ) | const`[inline, virtual]`

DataSet const& gdcm::DataSetEvent::GetDataSet | ( |  | ) | const`[inline]`

virtual const char* gdcm::DataSetEvent::GetEventName | ( |  | ) | const`[inline, virtual]`

Return the StringName associated with the event.

Implements gdcm::Event.

virtual ::gdcm::Event* gdcm::DataSetEvent::MakeObject | ( |  | ) | const`[inline, virtual]`

Create an Event of this type This method work as a Factory for creating events of each particular type.

Implements gdcm::Event.

The documentation for this class was generated from the following file:

- gdcmDataSetEvent.h